Package: org.grails.buffer

## [Java] Class StreamCharBuffer.SavedEncoder

- org.grails.buffer.StreamCharBuffer.SavedEncoder

- All Implemented Interfaces and Traits:
    Encoder

      private static final class StreamCharBuffer.SavedEncoder

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `private CodecIdentifier` | `codecIdentifier` |
    `private boolean` | `safe` |

  - ### Constructor Summary

    Constructors
    Constructor and description
    `SavedEncoder (java.lang.String codecName, boolean safe)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public java.lang.Object` | `encode(java.lang.Object o)`
    `` | `public CodecIdentifier` | `getCodecIdentifier()`
    `` | `public boolean` | `isApplyToSafelyEncoded()`
    `` | `public boolean` | `isSafe()`
    `` | `public void` | `markEncoded(java.lang.CharSequence string)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Field Detail

    - #### private CodecIdentifier codecIdentifier

    - #### private boolean safe

  - ### Constructor Detail

    - #### public SavedEncoder(java.lang.String codecName, boolean safe)

  - ### Method Detail

    - #### public java.lang.Object encode(java.lang.Object o)

    - #### public CodecIdentifier getCodecIdentifier()

    - #### public boolean isApplyToSafelyEncoded()

    - #### public boolean isSafe()

    - #### public void markEncoded(java.lang.CharSequence string)